> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get application attributes

## Overview

Allows the client to get important attributes necessary to perform a correct ID Application.

## HTTP request

`POST /Agent/Legal/GetApplicationAttributes`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
}
```

## Response (JSON)

```json theme={null}
{
	"peerReview": Required(Boolean(PPeerReview)),
	"nrReviewers": Optional(Int(PNrReviewers)),
	"nrPhotos": Optional(Int(PNrPhotos)),
	"iso3166": Optional(Boolean(PIso3166)),
	"Required": Optional(String(PRequired)[])
}
```

## Response parameters

| Parameter    | Description                                                                        |
| ------------ | ---------------------------------------------------------------------------------- |
| PPeerReview  | If peer-review of ID applications is permitted on the broker.                      |
| PNrReviewers | Number of successful peer reviews required for a process to conclude successfully. |
| PNrPhotos    | Number of photos required in an application, for a peer-review process.            |
| PIso3166     | If ISO 3166 country codes are required to be used.                                 |
| PRequired    | Required ID Properties in an ID application.                                       |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
